/**
 *
 * Init:
 * - if no children in container element, make container contenteditable, attach mouseup event
 * - if children, loop over children making each one editable, attach mouseup event
 * - if text is selected, grab range and display popup action menu with possible actions
 *
 */
export declare class Hallo {
  el: HTMLElement;
  coordinates: any;
  node: any;
  container: any;
  componentDidLoad(): void;
  setupEventListener(): void;
  saveSelection(): Range;
  restoreSelection(range: Range): void;
  onMouseup(e: any): void;
  renderMenu(): any;
  render(): any;
}
